System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Web.IHttpHandler To be added

Provides a synchronous HTTP handler that processes requests for tracing information.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether another request can use the instance.

- Method
  2.0.0.0
  System.Void ``

  The method writes an that includes all current trace information. The trace information includes calls to the protected , , and methods.

  The class implements the method to delegate to the implementation of the method. If you extend the class, implement your own method to display different tracing information.

  Processes an HTTP request.

  An object that provides access to the current Request and Response instances.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void ``

  The method writes tracing details to the response stream, including information about the application state, session state for the current session, control tree created for the current page, and HTTP request information such as the query string and form parameters. It is called by , and cannot be overridden.

  Writes the details of the current system state and page information to the response stream.

  A object that contains tracing information.
- Method
  1.0.5000.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void ``

  The method writes tracing details to the response stream, including information on the most recent HTTP requests that ASP.NET has processed for the site. It is called by , and cannot be overridden.

  Writes the details of recent HTTP request traffic to the response stream.

  A set of objects that represent the recent HTTP requests the server has processed.
- Method
  2.0.0.0
  System.Void

  The method writes tracing details on the Common Language Runtime (CLR) and ASP.NET versions currently in use. It is called by , and cannot be overridden.

  Writes the details of the current Common Language Runtime and ASP.NET build versions that the Web server is using.

- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit-interface member implementation. It can be used only when the instance is cast to an interface.

  Gets a value indicating whether another request can use the instance.

- Method
  1.0.5000.0
  2.0.0.0
  System.Void ``

  This method writes all current trace information to the . The trace information includes information on the state of the Web server, the current session, the control tree for the current page, HTTP request parameters, and recent HTTP requests processed by the server.

  Processes an HTTP request.

  An object that provides access to the current Request and Response instances.